import { Connection } from '@salesforce/core';
import { ToolingCreateResult } from '../../utils/deploy';
import { SourceComponent } from '../../metadata-registry';
import { SourceDeployResult } from '../../types';
export declare abstract class BaseDeploy {
    connection: Connection;
    component: SourceComponent;
    namespace: string;
    constructor(connection: Connection);
    abstract deploy(component: SourceComponent, namespace: string): Promise<SourceDeployResult>;
    buildMetadataField(metadataContent: string): {
        label?: string;
        packageVersions?: string;
        status?: string;
        apiVersion: string;
    };
    protected toolingCreate(type: string, record: object): Promise<ToolingCreateResult>;
    upsertBundle(Id?: string): Promise<ToolingCreateResult>;
    protected getFormattedPaths(filepath: string): string[];
}
