import { BaseApi, RetrieveOptions, RetrievePathOptions, ApiResult, SourcePath, SourceDeployResult } from '../types';
import { MetadataDeployOptions } from '../types/client';
import { SourceComponent } from '../metadata-registry';
export declare const DEFAULT_API_OPTIONS: {
    rollbackOnError: boolean;
    ignoreWarnings: boolean;
    checkOnly: boolean;
    singlePackage: boolean;
};
export declare class MetadataApi extends BaseApi {
    retrieveWithPaths(options: RetrievePathOptions): Promise<ApiResult>;
    retrieve(options: RetrieveOptions): Promise<ApiResult>;
    deploy(components: SourceComponent | SourceComponent[], options?: MetadataDeployOptions): Promise<SourceDeployResult>;
    deployWithPaths(paths: SourcePath, options?: MetadataDeployOptions): Promise<SourceDeployResult>;
    private metadataDeployID;
    private metadataDeployStatusPoll;
    private buildSourceDeployResult;
    private getDeployMessages;
    /**
     * Fix any issues with the deploy message returned by the api.
     * TODO: remove as fixes are made in the api.
     */
    private sanitizeDeployMessage;
}
