"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const toolingApi_1 = require("./toolingApi");
const metadata_registry_1 = require("../metadata-registry");
const metadataApi_1 = require("./metadataApi");
/**
 * Transfer SFDX source to and from a Salesforce org.
 */
class SourceClient {
    constructor(connection, registry = new metadata_registry_1.RegistryAccess()) {
        this.connection = connection;
        this.tooling = new toolingApi_1.ToolingApi(connection, registry);
        this.metadata = new metadataApi_1.MetadataApi(connection, registry);
    }
}
exports.SourceClient = SourceClient;
//# sourceMappingURL=sourceClient.js.map