"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Possible statuses of a component being deployed.
 */
var ComponentStatus;
(function (ComponentStatus) {
    ComponentStatus["Created"] = "Created";
    ComponentStatus["Changed"] = "Changed";
    ComponentStatus["Unchanged"] = "Unchanged";
    ComponentStatus["Deleted"] = "Deleted";
    ComponentStatus["Failed"] = "Failed";
})(ComponentStatus = exports.ComponentStatus || (exports.ComponentStatus = {}));
/**
 * Possible statuses of a metadata deploy operation.
 */
var DeployStatus;
(function (DeployStatus) {
    DeployStatus["Pending"] = "Pending";
    DeployStatus["InProgress"] = "InProgress";
    DeployStatus["Succeeded"] = "Succeeded";
    DeployStatus["SucceededPartial"] = "SucceededPartial";
    DeployStatus["Failed"] = "Failed";
    DeployStatus["Canceling"] = "Canceling";
    DeployStatus["Canceled"] = "Canceled";
})(DeployStatus = exports.DeployStatus || (exports.DeployStatus = {}));
var ToolingDeployStatus;
(function (ToolingDeployStatus) {
    // ContainerAsyncRequest states
    ToolingDeployStatus["Queued"] = "Queued";
    ToolingDeployStatus["Invalidated"] = "Invalidated";
    ToolingDeployStatus["Error"] = "Error";
    ToolingDeployStatus["Aborted"] = "Aborted";
    // Shared
    ToolingDeployStatus["Completed"] = "Completed";
    ToolingDeployStatus["Failed"] = "Failed";
    // unique to bundle requests
    ToolingDeployStatus["CompletedPartial"] = "CompletedPartial";
})(ToolingDeployStatus = exports.ToolingDeployStatus || (exports.ToolingDeployStatus = {}));
class BaseApi {
    constructor(connection, registry) {
        this.connection = connection;
        this.registry = registry;
    }
}
exports.BaseApi = BaseApi;
//# sourceMappingURL=client.js.map