export declare type QueryResult = {
    size: number;
    totalSize: number;
    done: boolean;
    queryLocator: string;
    entityTypeName: string;
    records: ApexRecord[] | AuraRecord[] | LWCRecord[] | VFRecord[];
};
export declare type ApexRecord = {
    Id: string;
    Name: string;
    NamespacePrefix: string;
    Body: string;
    ApiVersion: string;
    Status: string;
};
export declare type VFRecord = {
    Id: string;
    Name: string;
    NamespacePrefix: string;
    Markup: string;
    ApiVersion: string;
};
export declare type AuraRecord = {
    Id: string;
    DefType: string;
    Source: string;
    AuraDefinitionBundle: {
        ApiVersion: string;
        DeveloperName: string;
        NamespacePrefix: string;
    };
};
export declare type LWCRecord = {
    Id: string;
    FilePath: string;
    Source: string;
    LightningComponentBundle: {
        DeveloperName: string;
        NamespacePrefix: string;
    };
};
